Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.standard
Interface StandardTokenizerConstants

All Known Implementing Classes:
  StandardFilter, StandardTokenizer, StandardTokenizerTokenManager

public interface StandardTokenizerConstants

Field Summary
`static int` | `ACRONYM`
`static int` | `ALPHA`
`static int` | `ALPHANUM`
`static int` | `APOSTROPHE`
`static int` | `CJK`
`static int` | `COMPANY`
`static int` | `DEFAULT`
`static int` | `DIGIT`
`static int` | `EMAIL`
`static int` | `EOF`
`static int` | `HAS_DIGIT`
`static int` | `HOST`
`static int` | `LETTER`
`static int` | `NOISE`
`static int` | `NUM`
`static int` | `P`
`static String[]` | `tokenImage`

Field Detail

### EOF

    public static final int EOF

See Also:
  Constant Field Values

### ALPHANUM

    public static final int ALPHANUM

See Also:
  Constant Field Values

### APOSTROPHE

    public static final int APOSTROPHE

See Also:
  Constant Field Values

### ACRONYM

    public static final int ACRONYM

See Also:
  Constant Field Values

### COMPANY

    public static final int COMPANY

See Also:
  Constant Field Values

### EMAIL

    public static final int EMAIL

See Also:
  Constant Field Values

### HOST

    public static final int HOST

See Also:
  Constant Field Values

### NUM

    public static final int NUM

See Also:
  Constant Field Values

### P

    public static final int P

See Also:
  Constant Field Values

### HAS_DIGIT

    public static final int HAS_DIGIT

See Also:
  Constant Field Values

### ALPHA

    public static final int ALPHA

See Also:
  Constant Field Values

### LETTER

    public static final int LETTER

See Also:
  Constant Field Values

### CJK

    public static final int CJK

See Also:
  Constant Field Values

### DIGIT

    public static final int DIGIT

See Also:
  Constant Field Values

### NOISE

    public static final int NOISE

See Also:
  Constant Field Values

### DEFAULT

    public static final int DEFAULT

See Also:
  Constant Field Values

### tokenImage

    public static final String[] tokenImage

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.